#include <iostream>

#include "hardware/i2c.h"
#include "pico/stdlib.h"

#include "lcd.h"

constexpr uint I2C_SDA_PIN = 26;
constexpr uint I2C_SCL_PIN = 27;
constexpr uint8_t I2C_ADDR = 0x27;

int main() {
  // Enable UART so we can print status output
  stdio_init_all();

  uint8_t data = 0;
  int ret{0};

  auto myLCD = LCD(i2c1, I2C_SDA_PIN, I2C_SCL_PIN, I2C_ADDR);

  myLCD.backlight_on();

  std::cout << "FINISHED!" << std::endl;
}